Understanding Society User Support - Support #402

Health conditions
08/14/2015 02:23 PM - Phil Jones

Status: Closed Start date: 08/14/2015
Priority: Normal % Done: 100%
Assignee: Phil Jones

Category: Biomarkers and Genetics

Description

History

#1 - 08/14/2015 02:34 PM - Phil Jones

Hi. | hope you can help me to find the respondents with no health conditions in ¢_hcondno1!

When | produce a table of the frequencies of c_hcondno1 | get the following:

> table (us$c_hcondnol, useNA = "ifany")
-8 =T 1 2 3 4 5 6 7 8 9 10 11 12 13 14
24668 2063 334 756 24 70 90 62 75 27 39 129 52 91 199 255
15 16 17

26 798 310

The code 96 is for 'None of these' so | would have expected to see at least some respondents with no health conditions. Where are the respondents
with no health conditions? Are they in fact coded as the -8 (inapplicable)? | can't imagine there would be a way to a priori select only respondents with
a health condition to ask, so is it the case that 24,668 did not have a condition?

Thanks for shedding light on this.
Phil

#2 - 08/14/2015 03:07 PM - Redmine Admin
- Category set to 24
- Target version set to X M

- % Done changed from 0 to 50

The details are here hidden in the depths of the questionnaires. Some notes from W1-3 (try also searching through previous requests);

Wave 1

All asked in sequence whether;

e ever diagnosed with list of conditions (hcond1-17,96),
® age diagnosed with condition(s) (hcondai1-17), and whether
e still having the condition(s) (hconds1-17).

NB a_hconds06 and a_hconds07 were not asked in first 6 months of Wave 1 (January to June 2009).

Wave 2

New entrants were not asked health conditions module (incl. BHPS).
Existing sample members were asked in a loop of max. 8 items whether;

¢ diagnosed with list of conditions since last interview (hcondn item released as hcondno1-8, the first 8 mentioned conditions for each respondent)
and whether they were;

hospitalised with the new condition(s) (hospc1-8) and for;

how many days for each new condition (hospdc1-8) , and whether;

still having the new condition(s) at the time of interview (hcondns1-8 )

The information on specific conditions from hcondno1-8 were also delivered 'normalised' as hcondn1-17,96, i.e. a variable for each condition
rather than for each mention.

Wave 3
New entrants were asked whether;

¢ ever diagnosed with list of conditions (hcond1-17,96),
e age diagnosed with the condition(s) (hconda1-17), and whether;
e still having the condition(s) (hconds1-5, 8-17).

Existing sample members were asked in a loop of max. 8 items whether;

¢ diagnosed with list of conditions since last interview (hcondno1-8 reports first 8 mentioned conditions) and whether;
¢ hospitalised with new condition(s) (hospc1-8) and for;

e how many days for each condition (hospdc1-8) , and whether;

¢ still having the condition(s) other than heart-attack/stroke at the time of interview (hcondns1-8)

¢ The information on specific condition from hcondno1-8 were also delivered 'normalised' as hcondn1-17,96.

On behalf of the team,
Jakob

#3 - 08/14/2015 03:31 PM - Phil Jones
Hi Jakob,
Thanks for your prompt response. I'm afraid | still don't follow. For wave 3 the documentation you've cited states that:

e New entrants were asked about health conditions, AND
¢ Existing sample members were asked about new conditions since last interview

As | understanding it that means that all respondents were asked about health conditions as these two groups are mutually exclusive. | would
therefore expect that there should be a response for each case in wave 3 (c_hcondno), even if that response was 'no conditions'.

Thank you,
Phil

#4 - 08/14/2015 04:15 PM - Phil Jones

Hi again Jakob,

I've looked again and have been able to derive a variable that tells me if respondents have ever had a health condition or not. This isn't precisely what
| want, but it indicates that there are some respondents who have never had a condition which is reassuring! In R to construct such a variable, having

merged waves a, b and c, | used:

# Health conditions ====
us$hcond <- NA

# Wave a all respondents

us$hcond[us$a_hcondl == 1] <- 1
us$Shcond[us$a_hcond2 == 1] <-1
us$Shcond[us$a_hcond3 == 1] <-1
us$hcond[us$a_hcond4d == 1] <- 1
usShcond[us$a_hcond5 == 1] <-1
us$Shcond[us$a_hcond6 == 1] <-1
us$hcond[us$a_hcond7 == 1] <- 1
us$Shcond[us$a_hcond8 == 1] <-1
us$Shcond[us$a_hcond9 == 1] <-1
us$hcond[us$a_hcondl0 == 1] <- 1
usShcond[us$a_hcondll == 1] <- 1
us$Shcond[us$a_hcondl2 == 1] <-1
us$hcond[us$a_hcondl3 == 1] <- 1
usShcond[us$a_hcondl4d == 1] <- 1
us$Shcond[us$a_hcondl5 == 1] <-1
us$hcond[us$a_hcondl6 == 1] <- 1
usS$Shcond[us$a_hcondl7 == 1] <- 1
usShcond[us$a_hcond96 == 1] <- 0

# Wave b existing sample members
usShcond[us$hcond != 1 & us$b_hcondnol >= 1 & usS$Sb_hcondnol != 96] <- 1

# Wave b new entrants not asked (!!)

# Wave c new entrants

us$Shcond[us$c_hcondl == 1] <-1
us$Shcond[us$c_hcond2 == 1] <-1
us$hcond[us$c_hcond3 == 1] <- 1
us$Shcond[us$c_hcond4 == 1] <-1
us$Shcond[us$c_hcond5 == 1] <-1
us$hcond[us$c_hcond6 == 1] <- 1
us$hcond[us$c_hcond7 == 1] <- 1
us$Shcond[us$c_hcond8 == 1] <-1
us$Shcond[us$c_hcond9 == 1] <-1
us$hcond[us$c_hcondl0 == 1] <- 1
us$Shcond[us$c_hcondll == 1] <-1
us$Shcond[us$c_hcondl2 == 1] <-1
us$hcond[us$c_hcondl3d == 1] <- 1
us$Shcond[us$c_hcondl4 == 1] <-1
us$Shcond[us$c_hcondl5 == 1] <-1
us$hcond[us$c_hcondl6 == 1] <- 1
us$Shcond[us$c_hcondl7 == 1] <-1
us$Shcond[us$hcond != 1 & us$c_hcond96 == 1] <- 0
# Wave c existing respondents
usShcond[us$hcond != 1 & us$c_hcondnol == 96] <- 0
us$hcond[us$c_hcondnol >= 1 & usS$c_hcondnol != 96] <- 1
usShcond <- factor (us$Shcond, levels = 0:1,

labels = c("No health conditions",

"At least one health condition"),
ordered = FALSE)

It's not perfect, mainly because new entrants at wave b were not asked about their existing health conditions, so these may have slipped through. But,
as an indication it's hopeful and | post the code in case such a check is useful to any other readers.

The script:

1. Loads responses from wave a (0/1)

2. If respondents reported having a condition, their responses was fixed as '1' and this remained unchanged.

3. If respondents at this stage did not report having a condition, their response was loaded in from wave b (if available)
4. Repeated for wave ¢

The results:
table (usShcond, useNA = "ifany")
No health conditions At least one health condition <NA>

12054 14722 3292

#5 - 08/19/2015 11:19 AM - Redmine Admin
- Status changed from New to In Progress
- Assignee set to Phil Jones

- % Done changed from 50 to 90

Please be aware that self-reported health items exist for some BHPS sample members, see e.g.
https://www.iser.essex.ac.uk/bhps/documentation/volb/indexes/subjcat10.html#Health:%20Personal%20Health%20Condition

The BHPS sample within UKHLS can be identified on the variable HHORIG. See user guide for details about linking data between the two studies.
On behalf of the team,

Jakob

#6 - 09/01/2015 05:04 PM - Redmine Admin
- Status changed from In Progress to Closed

- % Done changed from 90 to 100
